org.eclipse.viatra.query.tooling.core.generator

## Class ExtensionGenerator

- java.lang.Object
- - org.eclipse.viatra.query.tooling.core.generator.ExtensionGenerator

-     public class ExtensionGenerator
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtensionGenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `contribAttribute(org.w3c.dom.Element element, java.lang.String name, java.lang.String value)`
    `org.w3c.dom.Element` | `contribElement(org.w3c.dom.Element parent, java.lang.String name, org.eclipse.xtext.xbase.lib.Procedures.Procedure1<? super org.w3c.dom.Element> initializer)`
    `ExtensionData` | `contribExtension(java.lang.String id, java.lang.String point, org.eclipse.xtext.xbase.lib.Procedures.Procedure1<? super org.w3c.dom.Element> initializer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtensionGenerator

          public ExtensionGenerator()

  - ### Method Detail

    - #### contribExtension

          public ExtensionData contribExtension(java.lang.String id,
                                                java.lang.String point,
                                                org.eclipse.xtext.xbase.lib.Procedures.Procedure1<? super org.w3c.dom.Element> initializer)

    - #### contribElement

          public org.w3c.dom.Element contribElement(org.w3c.dom.Element parent,
                                                    java.lang.String name,
                                                    org.eclipse.xtext.xbase.lib.Procedures.Procedure1<? super org.w3c.dom.Element> initializer)

    - #### contribAttribute

          public void contribAttribute(org.w3c.dom.Element element,
                                       java.lang.String name,
                                       java.lang.String value)